function [J, grad] = costFunction(theta, X, y)
%COSTFUNCTION Compute cost and gradient for logistic regression
%   J = COSTFUNCTION(theta, X, y) computes the cost of using theta as the
%   parameter for logistic regression and the gradient of the cost
%   w.r.t. to the parameters.

% Initialize some useful values
m = length(y); % number of training examples

% Doplnte hodnoty tymto premennym
h_theta=0;
J = 0;
%grad = zeros(size(theta));

%Do premennej h_theta vlozte hodnotu funkcie sigmoid pre parameter X*theta

%Tuto napiste cenovu funkciu z parametrom h_theta


%vypocitajte gradient
grad = X' * (h_theta - y)/m;


% =============================================================

end
